<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.cms.mapper.CompanyCardCollectionMapper">

    <resultMap type="CompanyCardCollection" id="CompanyCardCollectionResult">
        <result property="companyCardCollectionId"    column="company_card_collection_id"    />
        <result property="userId"    column="user_id"    />
        <result property="delFlag"    column="del_flag"    />
        <result property="createBy"    column="create_by"    />
        <result property="createTime"    column="create_time"    />
        <result property="updateBy"    column="update_by"    />
        <result property="updateTime"    column="update_time"    />
        <result property="remark"    column="remark"    />
        <result property="companyCardId"    column="company_card_id"    />
    </resultMap>

    <sql id="selectCompanyCardCollectionVo">
        select company_card_collection_id, user_id, del_flag, create_by, create_time, update_by, update_time, remark,company_card_id from company_card_collection
    </sql>

    <select id="selectCompanyCardCollectionList" parameterType="CompanyCardCollection" resultMap="CompanyCardCollectionResult">
        <include refid="selectCompanyCardCollectionVo"/>
        <where>  del_flag = '0'
            <if test="userId != null "> and user_id = #{userId}</if>
            <if test="companyCardId != null "> and company_card_id = #{companyCardId}</if>
        </where>
    </select>
</mapper>